"use strict";
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const config = __importStar(require("../config/index"));
const stix_1 = require("stix");
const debug = stix_1.createDebugLogger('stix:swagger');
const isProduction = process.env.NODE_ENV === 'production';
/**
 * This file is the main class of your module.
 * This is where stix will collect the configuration and call init() and/or onBootstrap().
 */
class Swagger {
    init(moduleManager) {
        if (isProduction || moduleManager.getApplication().getMode() === stix_1.ApplicationModes.Cli) {
            return;
        }
        moduleManager
            .getEventManager()
            .getSharedEventManager()
            .attachOnce(stix_1.ApplicationEvents.Ready, (event) => {
            const serviceManager = event.getTarget().getServiceManager();
            debug(`Swagger docs running: ${serviceManager.get(stix_1.ServerService).getURL()}swagger/ui`);
        });
    }
    getConfig() {
        if (isProduction) {
            return null;
        }
        return config;
    }
}
exports.Swagger = Swagger;
//# sourceMappingURL=Swagger.js.map