export declare type SwaggerConfigType = {
    securitySchemes: {
        [key: string]: HttpType | ApiKeyType | OpenIDType | OAuth2Type;
    };
};
export declare type HttpType = {
    type: 'http';
    scheme: 'bearer' | 'basic';
};
export declare type ApiKeyType = {
    type: 'apiKey';
    in: 'header' | 'query' | 'cookie';
    name: string;
};
export declare type OpenIDType = {
    type: 'openIdConnect';
    openIdConnectUrl: string;
};
export declare type OAuth2Type = {
    type: 'oauth2';
    flows: any;
};
