"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
require("reflect-metadata");
const stix_1 = require("stix");
const metaKey = Symbol('stix:swagger:path');
exports.path = (pathConfig = {}) => {
    return (target, property) => {
        const meta = Reflect.getMetadata(metaKey, target) || {};
        stix_1.Config.merge(meta, pathConfig);
        Reflect.defineMetadata(metaKey, meta, target);
    };
};
exports.pathProp = (key) => (value) => {
    return (target, property) => exports.setPath(target, property, { [key]: value });
};
exports.setPath = (target, property, data) => {
    const meta = Reflect.getMetadata(metaKey, target, property) || {};
    stix_1.Config.merge(meta, data);
    Reflect.defineMetadata(metaKey, meta, target);
};
exports.getPath = (target) => Reflect.getMetadata(metaKey, target);
//# sourceMappingURL=path.js.map