"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const metaKeys_1 = require("./metaKeys");
exports.secured = (Entity) => {
    return (target) => exports.associateEntity(Entity, target);
};
exports.associateEntity = (Entity, target) => {
    Reflect.defineMetadata(metaKeys_1.securedMetaKey, Entity, target);
};
exports.getAssociatedEntity = (target) => Reflect.getMetadata(metaKeys_1.securedMetaKey, target);
exports.ensureEntityReference = (controller, Entity) => {
    if (Entity) {
        exports.associateEntity(Entity, controller);
    }
    return Entity || exports.getAssociatedEntity(controller);
};
require("reflect-metadata");
const metaKey = Symbol('stix:di:swagger');
exports.inject = (dependency, plugin) => {
    return (target, property) => {
        const meta = Reflect.getMetadata(metaKey, target) || [];
        meta.push({ property, dependency, plugin });
        Reflect.defineMetadata(metaKey, meta, target);
    };
};
exports.getDependencies = (target) => Reflect.getMetadata(metaKey, target);
//# sourceMappingURL=secured.js.map